                   // Copyright (c) 2011-2014 Partner400                                    
                   // All rights reserved.                                                        
                   //                                                                             
                   // Redistribution and use in source and binary forms, with or without          
                   // modification, are permitted provided that the following conditions          
                   // are met:                                                                    
                   // 1. Redistributions of source code must retain the above copyright           
                   //    notice, this list of conditions and the following disclaimer.            
                   // 2. Redistributions in binary form must reproduce the above copyright        
                   //    notice, this list of conditions and the following disclaimer in the
                   //    documentation and/or other materials provided with the distribution.     
                   //                                                                             
                   // THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ''AS IS'' AND      
                   // ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE       
                   // IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE  
                   // ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE     
                   // FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL  
                   // DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS     
                   // OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)       
                   // HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT  
                   // LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY   
                   // OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF      
                   // SUCH DAMAGE.                                                                
                   //                                                                             

000101141130       Dcl-C stsOK              00000;  // No error.
000105141130       Dcl-C stsPgmRetLR        00001;  // Called program returned with *INLR on.
000108141130       Dcl-C stsFkeyPressed     00002;  // Function key pressed.
000111141130       Dcl-C stsEOF             00011;  // End of file (%EOF = *ON).
000114141130       Dcl-C stsNotFnd          00012;  // Record not found (%FOUND = *OFF).
000117141130       Dcl-C stsWrtSflFull      00013;  // Write to full subfile.
000120141130       Dcl-C stsCvtSubst        00050;  // Conversion resulted in substitution.
000123141130       Dcl-C errInvalString     00100;  // String operation, value out of range.
000126141130       Dcl-C errNegSqrt         00101;  // Negative square root.
000129141130       Dcl-C errDivZero         00102;  // Divide by zero.
000132141130       Dcl-C errResultTooSmall  00103;  // Intermediate result too small to contain result.
000135141130       Dcl-C errFltUndflow      00104;  // Float underflow. Intermediate value too small.
000138141130       Dcl-C errInNumConv       00105;  // Invalid characters in character to numeric conversion
000141141130       Dcl-C errInvalDate       00112;  // Invalid date, time, or timestamp value.
000144141130       Dcl-C errDateOvflow      00113;  // Date overflow or underflow.
000147141130       Dcl-C errDateMap         00114;  // Date mapping error.
000150141130       Dcl-C errInvalVarLen     00115;  // Invalid length for variable-length field.
000153141130       Dcl-C errArrSeq          00120;  // Table or array out of sequence.
000156141130       Dcl-C errArrIdx          00121;  // Invalid array index.
000159141130       Dcl-C errInvalOccur      00122;  // OCCUR value out of range.
000162141130       Dcl-C errInzReset        00123;  // RESET attempted during initialization.
000165141130       Dcl-C errCallFail        00202;  // Call to program or procedure ended in error.
000168141130       Dcl-C errCall            00211;  // Error occurred while calling program or procedure.
000171141130       Dcl-C errParmNoPass      00221;  // Called program tried to use unpassed parameter.
000174141130       Dcl-C errPtrParm         00222;  // Pointer or parameter error.
000177141130       Dcl-C errCallHalt        00231;  // Called program returned with halt indicator on.
000180141130       Dcl-C errHalt            00232;  // 00232 Halt indicator on in this program.
000183141130       Dcl-C errHaltRtn         00233;  // 00233 Halt indicator on when RETURN operation run.
000186141130       Dcl-C errDumpFail        00299;  // 00299 RPG dump failed.
000189141130       Dcl-C errMthCall         00301;  // 00301 Error in method call.
000192141130       Dcl-C errCvtJavArrEnt    00302;  // 00302 Error converting Java array to RPG parm on entry
000195141130       Dcl-C errCvtRpgPrmOut    00303;  // 00303 Error converting RPG parm to Java array on exit
000198141130       Dcl-C errCvtRPGtoJavaArr 00304;  // 00304 Error converting RPG parm to Java array during prep
000201141130       Dcl-C errCvtJavArrToRPG  00305;  // 00305 Error cvting Java array to RPG parm/return value
000204141130       Dcl-C errcvtRpgRtnVal    00306;  // 00306 Error converting RPG return value to Java array.
000207141130       Dcl-C errDsply           00333;  // 00333 Error on DSPLY operation.
000210141130       Dcl-C errDataAreaNotFnd  00401;  // 00401 Data area not found.
000213141130       Dcl-C errInvalPsjPDA     00402;  // 00402 *PDA not valid for non-prestart job.
000216141130       Dcl-C errInvalDataArea   00411;  // 00411 Data area types/lengths do not match.
000219141130       Dcl-C errDataAreaNoOutp  00412;  // 00412 Data area not allocated for output.
000222141130       Dcl-C errDataAreaIO      00413;  // 00413 I/O error while processing data area.
000225141130       Dcl-C errDataAreaUseAut  00414;  // 00414 Not authorized to use data area.
000228141130       Dcl-C errDataAreaChgAut  00415;  // 00415 Not authorized to change data area.
000231141130       Dcl-C errDataAreaUnlFail 00421;  // 00421 Error while unlocking data area.
000234141130       Dcl-C errInvalAlloc      00425;  // 00425 Requested storage allocation length out of range.
000237141130       Dcl-C errStorFail        00426;  // 00426 Error during storage management operation.
000240141130       Dcl-C errDataAreaAlloc   00431;  // 00431 Data area previously allocated to another process.
000243141130       Dcl-C errDataAreaLock    00432;  // 00432 *LOCK for data area not granted.
000246141130       Dcl-C errInvalSosi       00450;  // 00450 Character field not enclosed by SO and SI.
000249141130       Dcl-C errCvtCcsid        00451;  // 00451 Cannot convert between two CCSIDs.
000252141130       Dcl-C errSortRtv         00501;  // 00501 Sort sequence not retrieved.
000255141130       Dcl-C errSortCvt         00502;  // 00502 Sort sequence not converted.
000258141130       Dcl-C errCmtNact         00802;  // 00802 Commitment control not active.
000261141130       Dcl-C errRolbkFail       00803;  // 00803 Rollback failed.
000264141130       Dcl-C errCmt             00804;  // 00804 COMMIT error.
000267141130       Dcl-C errRolbk           00805;  // 00805 ROLBK error.
000270141130       Dcl-C errDecimal         00907;  // 00907 Decimal data error.
000273141130       Dcl-C errCompLevChk      00970;  // 00970 Compiler/runtime level check.
000276141130       Dcl-C errUndefRecTyp     01011;  // 01011 Undefined record type.
000279141130       Dcl-C errRecExists       01021;  // 01021 Record already exists.
000282141130       Dcl-C errRefCst          01022;  // 01022 Referential constraint error.
000285141130       Dcl-C errTrgBefore       01023;  // 01023 Trigger program error before operation.
000288141130       Dcl-C errTrgAfter        01024;  // 01024 Trigger program error after operation.
000291141130       Dcl-C errMatchSeq        01031;  // 01031 Match field sequence error.
000294141130       Dcl-C errLoadArr         01041;  // 01041 Array/table load sequence error.
000297141130       Dcl-C errArrAltSeq       01042;  // 01042 Array/table load sequence error.
000300141130       Dcl-C errArrOvflow       01051;  // 01051 Excess entries in array/table file.
000303141130       Dcl-C errInvalRecSeq     01071;  // 01071 Record out of sequence.
000306141130       Dcl-C errDDSPrtKey       01121;  // 01121 No Print Key DDS keyword indicator.
000309141130       Dcl-C errDDSPgDn         01122;  // 01122 No Page Down Key DDS keyword indicator.
000312141130       Dcl-C errDDSPgUp         01123;  // 01123 No Page Up Key DDS keyword indicator.
000315141130       Dcl-C errDDSClrKey       01124;  // 01124 No Clear Key keyword indicator.
000318141130       Dcl-C errDDSHlpKey       01125;  // 01125 No Help Key DDS keyword indicator.
000321141130       Dcl-C errDDSHomeKey      01126;  // 01126 No Home Key DDS keyword indicator.
000324141130       Dcl-C errInpMisMatch     01201;  // 01201 Record mismatch detected on input.
000327141130       Dcl-C errIOClosed        01211;  // 01211 I/O operation to a closed file.
000330141130       Dcl-C errAlreadyOpen     01215;  // 01215 OPEN issued to already open file.
000333141130       Dcl-C errImpOpenClose    01216;  // 01216 Error on implicit OPEN/CLOSE.
000336141130       Dcl-C errExpOpenClose    01217;  // 01217 Error on explicit OPEN/CLOSE.
000339141130       Dcl-C errRcdLocked       01218;  // 01218 Unable to allocate record.
000342141130       Dcl-C errUpdNoRead       01221;  // 01221 Update/delete operation without a prior read.
000345141130       Dcl-C errRefCstAlloc     01222;  // 01222 Referential constraint allocation error.
000348141130       Dcl-C errSpecial         01231;  // 01231 Error on SPECIAL file.
000351141130       Dcl-C errPrtCtl          01235;  // 01235 Error in PRTCTL space or skip entries.
000354141130       Dcl-C errRecNbrNotFnd    01241;  // 01241 Record number not found.
000357141130       Dcl-C errPermIO          01251;  // 01251 Permanent I/O error.
000360141130       Dcl-C errSessDev         01255;  // 01255 Session or device error.
000363141130       Dcl-C errMaxDev          01261;  // 01261 Attempt to exceed maximum number of devices.
000366141130       Dcl-C errDevUnavail      01271;  // 01271 Attempt to acquire unavailable device.
000369141130       Dcl-C errDevUnacq        01281;  // 01281 Operation to unacquired device.
000372141130       Dcl-C errJobEndCtl       01282;  // 01282 Job ending with controlled option.
000375141130       Dcl-C errAcqAddDev       01284;  // 01284 Unable to acquire second device.
000378141130       Dcl-C errDevAlloc        01285;  // 01285 Attempt to acquire an allocated device.
000381141130       Dcl-C errShrOpn          01286;  // 01286 Attempt to open shared file with SAVDS or SAVIND.
000384141130       Dcl-C errRespInd         01287;  // 01287 Response indicators overlap SAVIND indicators.
000387141130       Dcl-C errIO              01299;  // 01299 I/O error detected.
000390141130       Dcl-C errWait            01331;  // 01331 Wait time exceeded for WORKSTN file.
000393141130       Dcl-C errIntRPGFail      09998;  // 09998 Internal failure in RPG compiler runtime
000396141130       Dcl-C errPgmExc          09999;  // 09999 Program exception in system routine.
